/*
 *  TestUtils.h
 *  Ottoman
 *
 *  Created by Jens Alfke on 9/2/09.
 *  Copyright 2009 Jens Alfke. All rights reserved.
 *  BSD-Licensed: See the file "LICENSE.txt" for details.
 */

#include <gtest/gtest.h>    // Get gtest from <http://code.google.com/p/googletest/>
#include <iosfwd>
#include "Base.h"

namespace Mooseyard {

    std::ostream& operator<< (std::ostream &out, const Blob&);

    void shuffle(int a[], int n, unsigned seed =0);
    
    extern char **sWords;
    extern int sNWords;
    
    void readWords();
        
    class Timer {
    public:
        Timer (const char *operation, int divisor =1);
        ~Timer();
        double elapsed()                                    {return now() - _time;}
        static double now();
    private:
        const char *_operation;
        int _divisor;
        double _cpuTime, _time;
    };
    
}
